# v0.1.0

## Features

* Activities

  * Show activities from a specific user
  * Show all activities that logged user can see (feed)
  * Show all users public activities
  * Show logged user activities

* Bookmarks

  * Create a bookmark
  * Get a list of bookmarks
  * Remove a bookmark

* Collections

  * Add items to a collection
  * Create a collection
  * Destroy a collection
  * Get a collection
  * Get a list of collections
  * Get all collection versions
  * Like a collection
  * Remove items from a collection
  * Unlike a collection
  * Update a collection

* Complaints

  * Create a complaint
  * Get a list of complaints

* Contacts

  * Create contacts
  * Destroy a contact
  * Get a contact
  * Get all contacts
  * Update contacts

* Downloads
  
  * Download the content (files) of a learning object or collection

* Educational Stages

  * Create an educational stage
  * Get a list of educational stages
  * Remove an educational stage

* Follows

  * Follow an user or collection
  * Unfollow an user or collection

* Institutions

  * Create an institution
  * Destroy an institution
  * Get a list of institutions
  * Get an institution
  * Update an institution

* Languages

  * Create a language
  * Destroy a language
  * Get a language
  * Get a list of languages
  * Update languages

* Learning Objects

  * Create a learning object draft
  * Destroy an attachment (file) of a learning object
  * Destroy a learning object
  * Get a learning object
  * Get a list of learning objects
  * Get all learning object versions
  * Like a learning object
  * Publish a learning object
  * Unlike a learning object
  * Update a learning object

* Mime Types

  * Create a mime type
  * Destroy a mime type
  * Get a mime type
  * Get a list of mime types
  * Update a mime type

* Object Type

  * Create an object type
  * Destroy an object type
  * Get a list of object types
  * Get an object type
  * Update an object type

* Reviews

  * Create a review
  * Delete a review
  * Get a list of reviews
  * Rate a review
  * Update a review

* Statistics
  
  * Show statistics about the API usage

* Subjects

  * Create a subject
  * Get a list of subjects
  * Remove a subject

* Suggestions

  * Create suggestions
  * Destroy suggestions
  * Get a suggestion
  * Get all suggestions
  * Update suggestions

* Tags

  * Create a tag
  * Untag an object or collection

* Users

  * Create an user
  * Create an user by admin
  * Login with an user account
  * Logout of an user account
  * Destroy an user
  * Destroy an user by admin
  * Get a list of users
  * Get an user
  * Get all user versions
  * Show an user’s collections
  * Show an user’s drafts
  * Show an user’s learning objects
  * Show an user’s liked collections
  * Show an user’s liked learning objects
  * Show an user’s own reviews
  * Show an user’s received reviews
  * Show what the user is following
  * Update an user
