# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class CreateJoinTableEducationalStageSearch < ActiveRecord::Migration[5.0]
  def change
    create_join_table :educational_stages, :searches do |t|
      t.index [:educational_stage_id, :search_id],
      :name => 'index_edu_stages_searches_on_educational_stage_id_and_search_id'
      # t.index [:search_id, :educational_stage_id]
    end
  end
end
