class CreateItems < ActiveRecord::Migration[6.0]
  def change
    create_table :items do |t|
      t.string :name
      t.integer :price
      t.integer :discount, default: 0
      t.text :description
      t.integer :state, default: 0
      t.integer :item_type
      t.attachment :image

      t.timestamps
    end
  end
end
