class CreateJoinTableAchievementRequirement < ActiveRecord::Migration[6.0]
  def change
    create_join_table :achievements, :requirements do |t|
      t.timestamps
    end
    add_index :achievements_requirements, [:achievement_id, :requirement_id], unique: true, name: 'achievement_requirement_index'
  end
end
