
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

FactoryBot.define do
  factory :item do
    sequence(:name) { |i| "Item #{i}" }
    description { Faker::Lorem.paragraph}
    price { rand(0..100) }
    discount { rand(0..100) }
    state { 1 }
    item_type { 1 }
    image { Rack::Test::UploadedFile.new('spec/fixtures/files/img_test.png', 'image/png') }
  end
end
